Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPAliasTemplateInstance

All Superinterfaces:
  `Cloneable`, `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPSpecialization`, `ICPPTemplateInstance`, `IType`, `ITypedef`

public interface ICPPAliasTemplateInstance extends ITypedef, ICPPTemplateInstance
Represents an instance of an alias template (14.5.7).

Since:
  5.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateInstance

`EMPTY_TEMPLATE_INSTANCE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`ICPPAliasTemplate`
`getTemplateDefinition()`
Returns the alias template specialized by this instance.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getSpecializedBinding, getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateInstance

`getTemplateArguments, isExplicitSpecialization`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ITypedef

`getType`

## Method Details

### getTemplateDefinition

ICPPAliasTemplate getTemplateDefinition()
Returns the alias template specialized by this instance.

Specified by:
  `getTemplateDefinition` in interface `ICPPTemplateInstance`
Since:
  6.4